Hello, I have a lisp routine that we use to create mtext with and it is not working exactly as I want. What I want the routine to do is set the layer back to the current layer after the mtext command is finished. What I get now is the mtext ends up on the current layer. Any ideas? (defun c:t () (setq lay (getvar "clayer")) (setq scale (getvar "dimscale")) (setq txtsz (* 0.09375 scale)) (setvar "textsize" txtsz) (command "layer" "m" "Text-medm" "c" "7" "" "") (setvar "celtype" "Bylayer") (command "style" "TEXTM" "romans.shx" "0" "1" "0" "n" "n" "n") (initdia) (command ".mtext") (setvar "clayer" lay) ) Thanks Ron